Search found 4 matches

by DuJust
November 15th, 2016, 7:07 am
Forum: Release Announcements, Compiling & Installation
Topic: Can not compile with XCode 8 and open wesnoth
Replies: 6
Views: 2283

Re: Can not compile with XCode 8 and open wesnoth

Wow, it works! Thanks Celtic very much, it's very kind and patient of you. :)
I am going to add a summary of what I have done for the new comer as well.
by DuJust
November 14th, 2016, 4:26 pm
Forum: Release Announcements, Compiling & Installation
Topic: Can not compile with XCode 8 and open wesnoth
Replies: 6
Views: 2283

Re: Can not compile with XCode 8 and open wesnoth

Hi Celtic, It works after adding boost header, thanks! There's another issue as attachment of the ugly output. I download pango 1.29.5(1.30+ don't provide pango-querymodules) and install, and tried many places to add `pango/pango.modules`, but the warning message is still there. Where's the `.` fold...
by DuJust
November 13th, 2016, 4:57 pm
Forum: Release Announcements, Compiling & Installation
Topic: Can not compile with XCode 8 and open wesnoth
Replies: 6
Views: 2283

Re: Can not compile with XCode 8 and open wesnoth

Hi Celtic, thanks very much for your help. For the XCode part, the HAVE_HISTORY problem is solved, and I download SLD2* with your links and all other dependences, like latest boost(1.62.0), as I notices you've updated it. I found out a quick way to fetch them: after installed by homebrew, open the b...
by DuJust
November 12th, 2016, 6:52 pm
Forum: Release Announcements, Compiling & Installation
Topic: Can not compile with XCode 8 and open wesnoth
Replies: 6
Views: 2283

Can not compile with XCode 8 and open wesnoth

Hi all, I'm new to Wesnoth. I'm going to learn and write Wesnoth AI, so I tried to compile the master 8cf7bb8 on my own. Unfortunately I'm failed after three days' try, so I'm asking you guys for help. I'm using Sierra Mac OS and XCode 8.1, and I install all dependences mentioned in INSTALL file(SDL...